Skip to Content
SeyloDocs
API referenceSign-in and account

Change your password

POST
/api/v1/auth.changePassword

Sets a new password. currentPassword is required when the account has one; without one (people who only used GitHub) a first password needs a sign-in or auth.reauth from the last 15 minutes. Ends every other session.

Any signed-in caller. Not available to MCP clients or the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
currentPassword?string
Length1 <= length <= 1024
newPassword*string

At least 10 characters.

Length10 <= length <= 1024

Response Body

Success.

application/json
  1. response
revokedSessions*integer
Range0 <= value
Example Request
curl -X POST 'https://example.com/api/v1/auth.changePassword' \  -H 'Content-Type: application/json' \  -d '{  "newPassword": "stringstri"}'
Example Response
{  "revokedSessions": 0}